Mobileread
FOR ALL THE "DEDRM ISN'T WORKING!!!" POSTS...
#1  ownedbycats 09-25-2020, 11:10 AM
DeDRM stopped working in Calibre 5.x. The developers of the plugin are working on fixing it.

DeDRM is only needed when adding DRM'd books to the library. If you do that on a frequent basis, your best option is to downgrade back to 4.23.

If you do it only infrequently and would like to check out the new Calibre 5.x features, here's a method that lets you run 5.x and 4.23 side-by-side on Windows.

1. Grab an older version of Calibre Portable.

2. Extract it wherever.

3. Exit your main Calibre beforehand. Open Calibre Portable.

4. Install the DeDRM plugin.

5. Copy your settings (C:\Users\[User]\AppData\Roaming\calibre\plugins\dedrm.json) over to [PortableInstallationFolder]\Calibre Settings\plugins\ so that the keys are available.

6. Now there are two options from here.

OPTION ONE (Best for small libraries with few plugins):

a) Open your current library in Calibre Portable. Only do this on 4.23 as otherwise the databases aren't quite compatible with 5.x. (Note that since the portable version is 32-bit, it may have difficulty with very large libraries.)
b) DeDRM your books.
c) Close Calibre Portable. Open your main Calibre.
d) Enjoy your DeDRM'd book.

OPTION TWO (Best for larger libraries with multiple plugins):

a) DeDRM your books.
b) Exit Calibre Portable. Open your main Calibre.
c) Use Add Book. Navigate to your Calibre Portable's library and add the eBook file.
d) Enjoy your DeDRM'd book.

Hope this cuts down on the number of posts made about this, at least until a compatible version is available.
Reply 

#2  JSWolf 09-25-2020, 11:16 AM
THis is exactly what I am going to do once I install Calibre 5.x.
Reply 

#3  binaryhermit 09-25-2020, 11:17 AM
Quote ownedbycats
1. Grab an older version of Calibre Portable. (Unfortunately only seems to be available for Windows.)
It wouldn't surprise me that much if calibre portable worked in wine on Linux.
Reply 

#4  ownedbycats 09-25-2020, 11:18 AM
Thanks for stickying this.
Reply 

#5  rantanplan 09-25-2020, 11:40 AM
Quote ownedbycats
1. Grab an older version of Calibre Portable. (Unfortunately only seems to be available for Windows.)

2. Extract it wherever.

3. Exit your main Calibre beforehand. Open Calibre Portable.

4. Install the DeDRM plugin.

5. DeDRM your books.

6. Exit Calibre Portable. Open your main Calibre again.

7. Use Add Book. Navigate to your Calibre Portable's library and get the file for your DeDRM'd book.

Hope this cuts down on the number of posts made about this, at least until a compatible version is available.
Plan B:
Use older version of DeDRM that still works as standalone application.
Reply 

#6  wtf101 09-25-2020, 01:16 PM
not working, it did let me install the prior version. The plug in however does not even allow you to upload ...Luckily I have a prior version on my other desktop


Quote ownedbycats
1. Grab an older version of Calibre Portable. (Unfortunately only seems to be available for Windows.)

2. Extract it wherever.

3. Exit your main Calibre beforehand. Open Calibre Portable.

4. Install the DeDRM plugin.

5. DeDRM your books.

6. Exit Calibre Portable. Open your main Calibre again.

7. Use Add Book. Navigate to your Calibre Portable's library and get the file for your DeDRM'd book.

Hope this cuts down on the number of posts made about this, at least until a compatible version is available.
Reply 

#7  twowheels 09-25-2020, 02:53 PM
Wish I'd have seen this before upgrading -- I wouldn't have upgraded yet -- no rush here.

EDIT: Looks like the library was compatible, so it was easy to roll back. I've removed it from my homebrew install and manually installed for now to avoid future unwanted updates.
Reply 

#8  ownedbycats 09-25-2020, 03:00 PM
You can downgrade back to 4.23. The installers are all available on Fosshub from the first post.
Reply 

#9  Byrdie 09-25-2020, 03:10 PM
I take it this means The Tools will not work in Calibre 5? Just downloaded but haven't installed it yet. And is anybody running it on Windows 7? I've been using version 4.13 which is not supposed to be Win7 compliant but so far have had no issues. Gonna get me an older backup version just in case.
Reply 

#10  jhowell 09-25-2020, 03:23 PM
Quote ownedbycats
You can downgrade back to 4.23. The installers are all available on Fosshub from the first post.
I just wanted to point out that Kovid's official download page for older calibre versions is at:

https://download.calibre-ebook.com/
Reply 

  Next »  Last »  (1/14)
Today's Posts | Search this Thread | Login | Register